/*
    Clif - A C-like Interpreter Framework
    Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997 T. Hruz, L. Koren
    1998 L. Koren

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

/*  allocx.h  */

#ifndef _ALLOCX_H
#define _ALLOCX_H

#define PERM 0
#define BLOCK 1


#ifndef PROTO
#if defined (USE_PROTOTYPES) ? USE_PROTOTYPES : defined(__STDC__)
#define PROTO(ARGS) ARGS
#else
#define PROTO(ARGS) ()
#endif 
#endif

char *allocate PROTO((unsigned, unsigned));
char *callocx PROTO((unsigned, unsigned));
void deallocate PROTO((unsigned));
void init_zero PROTO((char *, unsigned));

void *mallocx PROTO((unsigned));
void *reallocx PROTO((void *, unsigned));
void freex PROTO((void *));

#endif
